%define upstream_name    Dist-Zilla-TravisCI
%define upstream_version 1.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Helper class for chainsmoke command
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Browser::Open)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Role::Git::DirtyFiles)
BuildRequires: perl(Dist::Zilla::Role::Git::Remote)
BuildRequires: perl(Dist::Zilla::Role::Git::Remote::Branch)
BuildRequires: perl(Dist::Zilla::Role::Git::Remote::Check)
BuildRequires: perl(Dist::Zilla::Role::Git::Repo)
BuildRequires: perl(Dist::Zilla::Role::MetaCPANInterfacer)
BuildRequires: perl(Dist::Zilla::Util::Git::Wrapper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Net::Travis::API::UA)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML)
BuildRequires: perl(sanity)
BuildArch: noarch

%description
What is Travis CI?
    https://travis-ci.org/ is pure awesome! Travis is a free and open
    source CI platform that hooks directly into https://github.com/. It's
    extremely easy to configure, tests on every major 5.10+ Perl version,
    and will notify you of test results, either through email or IRC. (Yes,
    a bot will jump into an IRC room, tell you the results, and bounce. How
    cool is that?!)

    If you're not familiar with CI platforms, this is your chance to get
    your feet wet. CI stands for
    http://en.wikipedia.org/wiki/Continuous_integration. This kind of
    testing is designed around testing your code every time you
    commitsolpush a change. In this case, this is a hook into Git via
    GitHub to make sure that any change you make is going to pass tests.

Perl is already a "test-heavy" community.  What does this add?
    This is true. Travis CI has a much more profound use with languages
    without a deep-seated testing platform like Perl's tsol* directory (and
    its hooks with CPAN).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.150.0-3.mga8
+ Revision: 1504329
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.150.0-2.mga7
+ Revision: 1283441
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 1.150.0-1.mga7
+ Revision: 1217295
- imported package perl-Dist-Zilla-TravisCI


* Tue Apr 10 2018 cpan2dist 1.15-1mga
- initial mageia release, generated with cpan2dist
